let qualities = {
    fast : "Rapide",
    hack : "Tranchant",
    impale : "Empalant",
    penetrating : "Pénétrant",
    precise : "Précis"
}

let choice = await ItemDialog.create(ItemDialog.objectToArray(qualities, this.item.img), 1, {text: "Choisissez une qualité", title: this.effect.name});

if (choice[0])
{
    this.script.message(choice[0].name);
    this.effect.setFlag("wfrp4e", "quality", choice[0].id);
}